HmmParameter-class {VanillaICE} | R Documentation

## Class "HmmParameter"

### Description

Parameters needed for the Viterbi algorithm, including emission probabilities, the genomic distance, and the initial state probabilities

### Objects from the Class

Objects can be created by calls of the form `new("HmmParameter", states, initialStateProbability, emission, genomicDistance, transitionScale)`.

### Slots

`states`:
  Object of class `"character"`
`initialStateProbability`:
  Object of class `"numeric"`
`emission`:
  Object of class `"array"`
`genomicDistance`:
  Object of class `"numeric"`
`transitionScale`:
  Object of class `"matrix"`

### Methods

[
  `signature(x = "HmmParameter")`:
emission
  `signature(object = "HmmParameter")`:
emission<-
  `signature(object = "HmmParameter", value = "array")`:
genomicDistance
  `signature(object = "HmmParameter")`:
genomicDistance<-
  `signature(object = "HmmParameter", value = "numeric")`:
hmm
  `signature(object = "HmmOptions", params = "HmmParameter")`:
initialize
  `signature(.Object = "HmmParameter")`:
pi
  `signature(object = "HmmParameter")`:
show
  `signature(object = "HmmParameter")`:
states
  `signature(object = "HmmParameter")`:
states<-
  `signature(object = "HmmParameter", value = "character")`:
tau
  `signature(object = "HmmParameter")`:
transitionScale
  `signature(object = "HmmParameter")`:
transitionScale<-
  `signature(object = "HmmParameter", value = "matrix")`:

### Note

See HmmParameter vignette

### Author(s)

RS

### See Also

`HmmOptions-class`

### Examples

    showClass("HmmParameter")

[Package VanillaICE version 1.4.0 Index]